Ticket #31467

「文字を通知」コマンド仕様の再検討と点字ディスプレイ対応

Open Date: 2013-05-30 19:38 Last Update: 2013-06-26 13:05

Reporter: nishimoto Owner: (None)
Type: Patches Status: Closed
Component: (None) MileStone: 2013.1.1jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

NVDA日本語版 2013.1jp のテンキー2(デスクトップ)NVDA+ピリオド(ラップトップ)の操作について、 ユーザーガイドと入力ヘルプは、NVDA 本家版の仕様の説明になっていますが、 NVDA 日本語版の説明 5.5 文字説明モード で書いたように仕様を変更しており、説明が整合していません。

そこで、本家版の説明を変えなくて済むように、説明モードと読み方モードの切り替えを「2回押し」から「4回押し」に変更してはどうかという意見が出ています。

と同時に、そろそろこの問題は本家にフィードバックする必要がありそうなので、関連する本家チケット 635 にコメントを書きました。

Chinese Character Descriptions and Definitions http://community.nvda-project.org/ticket/635#comment:20

Attachment File List

No attachments

Ticket History (3/7 Histories)

2013-05-30 19:39 Updated by: nishimoto
  • New Ticket "「文字を通知」コマンド仕様の再検討" created
2013-06-04 01:28 Updated by: nishimoto
Comment

下記のコミットで仕様を変更しました:

release-2013.1jp e9a1335

レビュー内の現在の文字を通知
デスクトップ テンキー2
ラップトップ NVDA+ピリオド
テキスト内の現在行のレビューカーソル位置の文字を通知します。
説明モードではその文字の説明や例を通知します。
2度続けて押すとその文字の種類を説明します。
3度続けて押すと10進数と16進数による文字コードを通知します。
4度続けて押すと 「説明モード」「読みかたモード」が切り替わります。

2度続けて押したときの説明は、変換候補の詳細説明と同じ読み方(カタカナ、半角などの文字属性を必ず読み上げる)です。

2013-06-11 10:33 Updated by: nishimoto
Comment

「レビュー内の現在の文字を通知」の仕様変更によって、下記の設定が不要になったと考えられるため、削除を検討しています。

ご意見があればお知らせください。

http://www.nvda.jp/nvda2013.1jp/ja/readmejp.html#toc13

設定メニュー「日本語設定」の項目

5.6.6. カタカナの前にカタカナと読む

チェックありにすると、文字レビューのときに、カタカナを「カタカナ ア」のように読みます。 初期値はチェックなしです。

変換候補の文字説明では、この設定に関わらずひらがなとカタカナの通知を行います。

5.6.8. 半角の前に半角と読む

チェックありにすると、文字レビューのときに、半角文字を「半角 1」のように読みます。 初期値はチェックなしです。

変換候補の文字説明では、この設定に関わらず半角の通知を行います。

2013-06-13 16:49 Updated by: nishimoto
Comment

下記のコミットで 「カタカナの前にカタカナと読む」 「半角の前に半角と読む」 の機能と説明を削除しました。

release-2013.1jp b6ad39f

これらのオプションがチェックなしであることと同じように動作します。

2013-06-16 22:43 Updated by: nishimoto
Comment

このチケットに関して、これまでの作業(release-2013.1jp e9a1335)では、文字説明の「1回押し」「2回押し」は音声でしか出力をしていません。

アルファベットだけの言語であれば、点字ディスプレイに出ている文字はそのままアルファベットと対応するので、文字説明の点字ディスプレイ対応というニーズがないようです。 (そのかわりにグレード2とNABCCを使い分けるのでしょう)

このため、NVDA本家版では点字ディスプレイでの文字レビューは考慮されていないのだと思います。

日本語版についてですが、例えば、文字説明の「2回押し」で音声出力される情報(カタカナ・半角などの文字属性と、漢字の詳細説明)を、点字ディスプレイにも出力してはどうかと考えています。 (技術的な制約のため、やるとしたら、一定時間だけ表示されて、元の表示に戻る、という方式になります)

どのような仕様が実用的か、ご意見があればお知らせください。

2013-06-19 10:07 Updated by: nishimoto
Comment

下記のコミットで、文字説明の「2回押し」で点字ディスプレイに文字説明を出力するようにしました。

release-2013.1jp 224138c

点字設定「メッセージの表示終了待ち時間」の時間が適用されます。

この実装は読み上げ用の情報を流用しています。

例えば半角アルファベットyを説明させると、「ハンカク エイジ ワイ」のように表示しますが、これは外字符を使ってアルファベットで表示するほうが適切かもしれません。

2013-06-26 13:05 Updated by: nishimoto
  • Ticket Close date is changed to 2013-06-26 13:05
  • Status Update from Open to Closed
  • Summary Updated

Edit

Please login to add comment to this ticket » Login